Compatibilité spip 4.2

mercredi 5 avril 2023 à 10h40
par wiwi

Logo de wiwi

Bonjour à tous,

Le squelette sarka-spip 4.01 est-il compatible avec la montée de version de Spip (et au-delà de "forcer les choses" avec la modification du fichier mes_options.php

Bien à vous,
wiwi


Réponses

11 mai 2023 à 21h40

Bonjour,

Apparemment pas...
Je viens de passer en 4.2.2 car j’ai eu un souci de sécurité. Et bingo : sarka n’est pas compatible :-( !
Je suis un peu triste car depuis toutes ces années ça m’ennuie de ne plus avoir cette belle apparence. Je vais patienter jusqu’à la compatibilité.

Patrick

18 mai 2023 à 10h41

Merci pour l’information,

J’espère que Sarka-spip franchira le pas vers la version 4.2.2 (notamment en raison de la compatibilité avec php) ; en attendant, je suis passé de 4.15 à 4.19, en espérant que mon site est pas trop mal sécurisé (il est fermé aux commentaires, ce qui limite les risques).

25 mai 2023 à 08h05

Bonjour,
pareil, je viens d’installer SPIP 4.2.2 et viens de me rendre compte que je ne peux pas installer SARKA.
Vous conseillez de passer à 4.19 en attendant ?
Ou bien il y a une version de dev qui marche ?
Merci
Raph

26 mai 2023 à 08h22

Bonjour,
J’avoue que je n’ai pas eu le cœur à rétrograder. Je ne sais d’ailleurs pas comment il faut faire car je ne l’ai jamais fait.
Mais in sarkaspip we trust 🤞 ! Donc je patiente comme ça avec un SPIP brut.
Bonne journée
Patrick

26 mai 2023 à 09h42

De mon côté, je suis passé de spip 4.1.5 à 4.1.9 avec Sarka-spip 4.0.1 et je ne rencontre pas de problèmes particuliers (mais mon site est fermé aux commentaires et peu visité).

26 mai 2023 à 20h16

Je m’en occupe ce week-end. Je viens de passer un site en 4.2 et j’ai peu d’erreurs donc ça devrait pas être trop compliqué.

27 mai 2023 à 07h10

Bonjour,

Merci Éric ! Je savais bien qu’on pouvait compter sur toi 😍 !
D’avoir à se passer des fonctionnalités de sarkaspip quelques jours nous en fait encore plus apprécier la qualité et l’ergonomie. On finit par s’habituer au confort sans plus le remarquer...
Merci pour tout.
Bon weekend, alors 😉 !
Patrick

27 mai 2023 à 17h04

Hello,

Je viens de publier une version 4.1.0 compatible avec spip 4.2.
Je n’ai pas un environnement suffisamment développé pour tout tester, donc soyez vigilants et remontez tout bug.

Attention je n’ai pas vérifié la compatibilité des plugins connexes à Sarka-SPIP mais la plupart doivent être compatibles.

A vous lire.

27 mai 2023 à 21h19

Merci.
Ça à l’aire marcher.
Bon weekend.
Raphaël

29 mai 2023 à 09h42

Bonjour,

Merci beaucoup pour cette mise à jour qui semble fonctionner parfaitement sur mon site. Seul petit souci, mais qui provient d’un plugin non mis à jour, les brèves ne fonctionnent plus. En attendant une éventuelle mise à jour, je vais passer par les "annonces".

Bien à vous,
wiwi

29 mai 2023 à 09h46

Bonjour,

Pour les brèves c’est simple il suffit de récupérer le plugin mis à jour pour 4.2 (version 3.1.0) qui est ici https://plugins.spip.net/breves.html?compatible_spip=4.2.
Et cela marchera comme avant, c’est juste que ce plugin n’est plus fourni avec spip maintenant.

29 mai 2023 à 10h01

Ah oui c’est vrai ! Merci Éric. J’avais effectivement déjà rencontré le souci à la dernière mise à jour, le plugin "brèves" n’apparaissant pas (à partir de la version 3), dans la liste du dépôt "SPIP-Zone - Plugins".
Installation réalisée en manuel et tout va bien ; Encore merci !

30 mai 2023 à 07h42

Bonjour,
Merci ça fonctionne aussi de mon côté.
J’ai perdu quelques paramètres de configuration au passage mais je ne suis pas sûr de ne pas avoir fait de mauvaise manipulation... Il me semble que j’avais deux fois le plugin sarkaspip dans la liste de plugins... C’est possible ça ?! Et j’ai tout supprimé avant de réinstaller la mise à jour.
Il me reste encore à attendre la compatibilité de Splickrbox qui donnait un peu de vie à ma page d’accueil...
Merci encore et bonne journée

30 mai 2023 à 07h57

J’ai envoyé une nouvelle version 1.0.6 de Splickrbox pour spip 4.2. Elle devrait être disponible d’ici quelques minutes et régler ton souci.

30 mai 2023 à 10h06

Mais tu es un vrai père Noël !!
Ca splickr un max en deux clics. Merci beaucoup, Eric !
Excellente journée.
Patrick

14 août 2023 à 05h45

Bonjour à tous,
J’utilise Sarka SPIP de puis quelques années déjà et ne puis qu’exprimer ma satisfaction globalement.
Néanmoins, j’ai dû faire évoluer mon site pour supporter php8.1 en migrant sur un hébergement plus à jour et puissant.
Actuellement le serveur fonctionne avec Linux Ubuntu 22.04 et LAMP.
PHP : 8.1.2-1ubuntu2.13
MySQL : 5.5.5-10.6.12-MariaDB-0ubuntu0.22.04.1
SPIP 4.1.11
Sarka-SPIP 4.1.0

J’ai un problème d’affichage avec l’agenda, et j’ai constaté qu’il existe aussi sur ce site, c’est l’affichage de "Array" et ce texte se multiplie au fur et à mesure que l’on fait défiler les mois.
Ce n’est peut-être pas grand chose, mais ça dépasse mes compétences.
Bref, je suis preneur (et peut-être pas le seul) d’un patch pour corriger ça, voire une évolution de Sarka.
Par avance merci pour toute aide.

18 septembre 2023 à 09h44

Bonjour holly76, j’ai constaté la même chose depuis le passage à Sarka-Spip 4.1.0
Le problème se situe dans le fichier inc/sarkaspip_filtres_agenda.php mais je n’arrive pas non plus à le résoudre.
En attendant mieux, j’ai mis le fichier sarkaspip_filtres_agenda.php de la version de Sarka-Spip 4.0.1 dans le dossier squelettes/inc
Les Array disparaissent et l’agenda semble fonctionner correctement.

Bonne journée

18 septembre 2023 à 10h14

Bon, en fait, les "array" disparaissent, mais il y a un souci de fonctionnement de l’agenda. Les évènements du jour s’affichent dans le mini calendrier, mais pas ceux des jours d’après.
je suis revenu à la version 4.0.1 de Sarka en modifiant paquet.xml

18 septembre 2023 à 10h33

Bonjour Olivier,
Comme il me fallait une solution rapidement pour mon site, j’ai supprimé ce calendrier pour utiliser le plugin "Agenda Fullcalendar Facile". Ce n’est plus aussi compact qu’avant mais ça a l’avantage de fonctionner.

1er avril 2024 à 15h29

Je suis désolée de faire remonter ce relativement vieux post, mais j’ai le même problème avec le mini-calendrier qui n’affiche plus les évènements de la rubrique "agenda" et qui affiche des "array" au dessus.
Je suis sous SPIP 4.2.10 avec Sarka-SPIP 4.1.0.
Olivier comment as-tu fait pour pouvoir revenir à Sarka 4.0.1 ?
Je n’y arrive pas directement (car il n’est pas compatible avec SPIP 4.2) et je n’ai pas compris ce que tu entends par en "modifiant paquet.xml".

1er avril 2024 à 18h32

Bon ben en fait, j’ai copié tous les fichiers de la version 4.0.1, sauf paquet.xml, dans le répertoire de la version 4.1.0 et j’ai désactivé/réactivé le squelette et mon agenda refonctionne correctement.
C’est très laid comme méthode, mais pour le moment je n’ai rien détecté d’anormal dans le reste du site...

2 avril 2024 à 08h48

Dans le fichier paquet.xml, ligne 6, il y a une ligne qui indique la compatibilité Spip, tu peux la modifier en mettant compatibilite="[4.0.0 ;4.2.*]"
Attention toutefois, cela ne rend pas le plugin compatible, ça permet juste de pouvoir l’activer depuis l’espace privé de Spip

12 mai 2024 à 20h19

Pour le pb ’array’ de l’agenda de la version 4.1.0, j’a modifié ceci : (root cause : le typage des fonctions dans sarkaspip_filtres_agenda.php)
dans inc_mini_agenda_1.html :
- Lignes 21 et 32 : ajout en fin ligne : |serialize|replace{a:0:\{\}}
dans inc_agenda_annee_1.html :
 Lignes 11 et 25 : ajout en fin ligne : |serialize|replace{a:0:\{\}}

Enfin, pour ceux qui ont constaté que le mini calendrier sur la page d’accueil n’affichait plus les nouveaux évènements futur : (root cause : filtres sur date_fin KO)
dans inc_mini_agenda_1.html :
remplacer la ligne 27 par {agenda date_redac, periode, #GET{annee_choisie}, #GET{mois_choisi}, 1, #GET{annee_choisie}|plus{1}, #GET{mois_choisi}, 1}


Forum sur abonnement

Pour participer à ce forum, vous devez vous enregistrer au préalable. Merci d’indiquer ci-dessous l’identifiant personnel qui vous a été fourni. Si vous n’êtes pas enregistré, vous devez vous inscrire.

ConnexionS’inscriremot de passe oublié ?